--       _________ __                 __                               
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--			  T H E   W A R   B E G I N S
--	   Stratagus - A free fantasy real time strategy game engine
--
--	sound.lua	-	Define the used sounds.
--
--  (c) Copyright 2000,2004 by Jimmy Salmon and Mohydine
--
--      This program is free software--- you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation--- either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY--- without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program--- if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--	$Id: sound.lua,v 1.8 2004/03/16 23:59:03 mohydine Exp $

--	Uncomment this to enable threaded sound
--SoundThread()

------------------------------------------------------------------------------
--	Music part

------------------------------------------------------------------------------
--	MusicStopped is called if the current music is finished.
--
--		This is a random music player demo
--

playlist = {
  "music/default.ogg"
}

function MusicStopped()
  if (table.getn(playlist) ~= 0) then
    PlayMusic(playlist[math.random(table.getn(playlist))])
  end
end

------------------------------------------------------------------------------
--	(set-cd-mode!) set how your CD is played.
--		all	plays all tracks
--		random	plays random tracks
--		defined	play according to playlist below
--		off	turns cd player off
--SetCdMode("all")
--SetCdMode("random") 
SetCdMode("defined")
--SetCdMode("off")

------------------------------------------------------------------------------
--	(define-play-sections) set the playlist for different 
--			       sections of the game
--
DefinePlaySections("type", "main-menu",
    "cd", {"order", "all", "tracks", {15}})
DefinePlaySections("race", "red-ants", "type", "game",
    "cd", {"order", "random", "tracks", {3, 4, 5, 6}})
DefinePlaySections("race", "red-ants", "type", "briefing",
    "cd", {"order", "all", "tracks", {7}})
DefinePlaySections("race", "red-ants", "type", "stats-victory",
    "cd", {"order", "all", "tracks", {8}})
DefinePlaySections("race", "red-ants", "type", "stats-defeat",
    "cd", {"order", "all", "tracks", {9}})


----------------------------------------------------------------------------------
------	Define sounds later used
------
sound_click = MakeSound("click", "ui/click.wav")

----------------------------------------------------------------------------------
------	Define simple sounds. (FIXME: somebody must clean the order.)
------

----------------------------------------------------------------------------------
------	Define simple human sounds.
------
MakeSound( "basic human voices work complete",
	"red-ants/basic_voices/work_complete.wav")
MakeSound( "red-ant-worker-complete", "red-ants/units/worker/work_complete.wav")
MakeSound( "red-ant-worker-ready", "red-ants/units/worker/ready.wav")
MakeSound( "red-ant-worker-help-1", "red-ants/basic_voices/help_2.wav")
MakeSound( "red-ant-worker-help-2", "red-ants/basic_voices/help_2.wav")
MakeSound( "red-ant-worker-dead", "red-ants/basic_voices/dead.wav")

MakeSound( "basic alliance voices help 1", "red-ants/basic_voices/help_2.wav")
MakeSound( "basic alliance voices dead", "red-ants/basic_voices/dead.wav")


----------------------------------------------------------------------------------
------	Define simple human building.
------

----------------------------------------------------------------------------------
------	Define simple misc sounds.
------
MakeSound( "building construction", "misc/building_construction.wav")
MakeSound( "ship sinking", "ships/sinking.wav")
MakeSound( "catapult-ballista movement",
	"red-ants/units/tank/acknowledgement_1.wav")

    ------ building selection sounds
MakeSound( "barracks-selected", "red-ants/buildings/sound-unit-barracks.wav")
MakeSound( "church-selected", "red-ants/buildings/sound-unit-temple.wav")
MakeSound( "watch-tower-selected", "red-ants/buildings/sound-unit-watch-tower.wav")
MakeSound( "insect-house-selected", "red-ants/buildings/sound-unit-insect-house.wav")
MakeSound( "alchemist-selected", "red-ants/buildings/sound-unit-alchemist.wav")
MakeSound( "flying-house-selected", "red-ants/buildings/sound-unit-flying-house.wav")
MakeSound( "dock-selected", "red-ants/buildings/sound-unit-dock.wav")
MakeSound( "store-house-selected", "red-ants/buildings/sound-unit-wood-house.wav")
MakeSound( "foundry-selected", "red-ants/buildings/sound-unit-foundry.wav")
MakeSound( "queen-selected", "red-ants/buildings/sound-unit-queen.wav")
MakeSound( "spell-house-selected", "red-ants/buildings/sound-unit-spell-house.wav")
MakeSound( "blacksmith-selected", "red-ants/buildings/sound-unit-blacksmith.wav")
MakeSound( "plancton-house-selected", "red-ants/buildings/sound-unit-plancton-house.wav")
MakeSound( "plancton-platform-selected", "red-ants/buildings/sound-unit-plancton-platform.wav")
MakeSound( "arrow-tower-selected", "red-ants/buildings/sound-unit-arrow-tower.wav")
MakeSound( "cannon-tower-selected", "red-ants/buildings/sound-unit-cannon-tower.wav")


MakeSound( "queen-castle-selected", "red-ants/buildings/sound-unit-queen-castle.wav")
MakeSound( "queen-fortress-selected", "red-ants/buildings/sound-unit-queen-fortress.wav")

MakeSound( "medic-house-selected", "red-ants/buildings/sound-unit-medic-house.wav")
MakeSound( "missile-house-selected", "red-ants/buildings/sound-unit-missile-house.wav")
MakeSound( "tunnel-selected", "red-ants/buildings/sound-unit-tunnel.wav")



MakeSound( "alliance-farm-selected", "red-ants/buildings/sound-unit-egg-collector.wav")
MakeSound( "gold-mine-selected", "neutral/buildings/gold_mine.wav")




MakeSound( "transport docking", "red-ants/units/shuttle/docking.wav")
MakeSound( "burning", "misc/burning.wav")

MakeSound( "foundry", "red-ants/buildings/sound-unit-foundry.wav")

MakeSound( "mage-tower-selected", "red-ants/buildings/sound-unit-spell-house.wav")
MakeSound( "capture (human)", "misc/capture.wav")
MakeSound( "rescue (human)", "misc/rescue.wav")
--MakeSound( "bloodlust", "spells/bloodlust.wav")
--MakeSound( "death and decay", "spells/death_and_decay.wav")
--MakeSound( "death coil", "spells/death_coil.wav")
--MakeSound( "exorcism", "spells/exorcism.wav")
--MakeSound( "flame shield", "spells/flame_shield.wav")
--MakeSound( "haste", "spells/haste.wav")
--MakeSound( "healing", "spells/healing.wav")
--MakeSound( "holy vision", "spells/holy_vision.wav")
--MakeSound( "blizzard", "spells/blizzard.wav")
--MakeSound( "invisibility", "spells/invisibility.wav")
--MakeSound( "eye of vision", "spells/eye_of_kilrogg.wav")
MakeSound( "polymorph", "spells/polymorph.wav")
--MakeSound( "slow", "spells/slow.wav")
--MakeSound( "unholy armour", "spells/unholy_armor.wav")
--MakeSound( "whirlwind", "spells/whirlwind.wav")
    ------ ready sounds

------------------------------------------------------------------------------
    ------ unit ready sounds

MakeSound( "dwarves-ready", "red-ants/units/dynamite-ant/ready.wav")
MakeSound( "elven archer-ranger ready",
	"red-ants/units/archer/ready.wav")
MakeSound( "gnomish-flying-machine-ready",
	"red-ants/units/flying-ant/ready.wav")
MakeSound( "knight-ready", "red-ants/units/knight/ready.wav")
MakeSound( "paladin-ready", "red-ants/units/advanced-knight/ready.wav")
MakeSound( "ships human ready", "red-ants/archer/ready.wav")
MakeSound( "mage-ready", "red-ants/units/archer/ready.wav")
MakeSound( "red-ant-worker-ready", "red-ants/units/worker/ready.wav")

    ------------------------------------------------------------------------------
    ------ selection sounds
MakeSound( "gryphon-rider-selected", "misc/missing.wav")
MakeSound( "sheep selected", "misc/missing.wav")
MakeSound( "seal selected", "misc/missing.wav")
MakeSound( "pig selected", "misc/missing.wav")
MakeSound( "warthog selected", "misc/missing.wav")
    ------ annoyed sounds
MakeSound( "sheep annoyed", "misc/missing.wav")
MakeSound( "seal annoyed", "misc/missing.wav")
MakeSound( "pig annoyed", "misc/missing.wav")
MakeSound( "warthog annoyed", "misc/missing.wav")

    ------------------------------------------------------------------------------
    ------ attack sounds
MakeSound( "catapult-ballista attack", "missiles/catapult_ballista_attack.wav")
MakeSound( "punch", "missiles/punch.wav")
MakeSound( "fireball hit", "missiles/fireball_hit.wav")
MakeSound( "fireball throw", "missiles/fireball_throw.wav")
MakeSound( "bow throw", "missiles/bow_throw.wav")
MakeSound( "bow hit", "missiles/bow_hit.wav")
MakeSound( "axe throw", "misc/missing.wav")
MakeSound( "fist", "misc/missing.wav")
MakeSound( "red-ant-worker-attack", "misc/tree_chopping_1.wav")
MakeSound( "lightning", "spells/lightning.wav")
MakeSound( "touch of darkness", "misc/missing.wav")

----------------------------------------------------------------------------------
------	Define sound groups.
    ------
    ------	Acknowledgment sounds -------------------------------------------------
    ------
MakeSound( "basic human voices acknowledge",
	{ "red-ants/units/warrior/acknowledgement_1.wav",
	"red-ants/units/warrior/acknowledgement_2.wav",
	"red-ants/units/warrior/acknowledgement_3.wav",
	"red-ants/units/warrior/acknowledgement_3.wav"})
MakeSound( "red-ant-worker-acknowledge",
	{ "red-ants/units/worker/acknowledgement_1.wav",
	"red-ants/units/worker/acknowledgement_1.wav",
	"red-ants/units/worker/acknowledgement_3.wav",
	"red-ants/units/worker/acknowledgement_4.wav"})
MakeSound( "knight-acknowledge",
	{ "red-ants/units/knight/acknowledgement_1.wav",
	"red-ants/units/knight/acknowledgement_2.wav",
	"red-ants/units/knight/acknowledgement_3.wav",
	"red-ants/units/knight/acknowledgement_4.wav"})
MakeSound( "elven archer-ranger acknowledge",
	{ "red-ants/units/archer/acknowledgement_1.wav",
	"red-ants/units/archer/acknowledgement_2.wav",
	"red-ants/units/archer/acknowledgement_3.wav",
	"red-ants/units/archer/acknowledgement_4.wav"})
MakeSound( "mage-acknowledge",
	{ "red-ants/units/archer/acknowledgement_1.wav",
	"red-ants/units/archer/acknowledgement_2.wav",
	"red-ants/units/archer/acknowledgement_3.wav"})
MakeSound( "paladin-acknowledge",
	{ "red-ants/units/advanced-knight/acknowledgement_1.wav",
	"red-ants/units/advanced-knight/acknowledgement_2.wav",
	"red-ants/units/advanced-knight/acknowledgement_3.wav",
	"red-ants/units/advanced-knight/acknowledgement_4.wav"})
MakeSound( "dwarves-acknowledge",
	{ "red-ants/units/dynamite-ant/acknowledgement_1.wav",
	"red-ants/units/dynamite-ant/acknowledgement_2.wav",
	"red-ants/units/dynamite-ant/acknowledgement_3.wav",
	"red-ants/units/dynamite-ant/acknowledgement_4.wav",
	"red-ants/units/dynamite-ant/acknowledgement_5.wav"})
MakeSound( "alleria-acknowledge",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "kurdan-and-sky-ree-acknowledge",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "khadgar-acknowledge",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "tanker acknowledge",
	{ "red-ants/units/plancton-collector/acknowledgement_1.wav"})
MakeSound( "ships human acknowledge",
	{ "red-ants/units/archer/acknowledgement_1.wav",
	"red-ants/units/archer/acknowledgement_2.wav",
	"red-ants/units/archer/acknowledgement_3.wav"})
MakeSound( "gnomish-flying-machine-acknowledge",
	{ "red-ants/units/flying-ant/acknowledgement_1.wav"})
MakeSound( "gryphon-rider-acknowledge",
	{ "misc/missing.wav"})
MakeSound( "turalyon-acknowledge",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "danath-acknowledge",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
    ------
    ------	Selection sounds -----------------------------------------------------
    ------
MakeSound( "basic human voices selected",
	{ "red-ants/units/warrior/selected_1.wav",
	"red-ants/units/warrior/selected_2.wav",
	"red-ants/units/warrior/selected_3.wav",
	"red-ants/units/warrior/selected_4.wav",
	"red-ants/units/warrior/selected_5.wav"})
MakeSound( "dwarven demolition squad selected",
	{ "red-ants/units/dynamite-ant/selected_1.wav",
	"red-ants/units/dynamite-ant/selected_2.wav"})
MakeSound( "elven archer-ranger selected",
	{ "red-ants/units/archer/selected_1.wav",
	"red-ants/units/archer/selected_2.wav",
	"red-ants/units/archer/selected_3.wav",
	"red-ants/units/archer/selected_4.wav"})
MakeSound( "knight selected",
	{ "red-ants/units/knight/selected_1.wav",
	"red-ants/units/knight/selected_2.wav",
	"red-ants/units/knight/selected_3.wav",
	"red-ants/units/knight/selected_4.wav"})
MakeSound( "paladin selected",
	{ "red-ants/units/advanced-knight/selected_1.wav",
	"red-ants/units/advanced-knight/selected_2.wav",
	"red-ants/units/advanced-knight/selected_3.wav",
	"red-ants/units/advanced-knight/selected_4.wav"})
MakeSound( "ships human selected",
	{ "red-ants/units/archer/selected_1.wav",
	"red-ants/units/archer/selected_2.wav",
	"red-ants/units/archer/selected_3.wav"})
MakeSound( "mage selected",
	{ "red-ants/units/archer/selected_1.wav",
	"red-ants/units/archer/selected_2.wav",
	"red-ants/units/archer/selected_3.wav"})
MakeSound( "red-ant-worker-selected",
	{ "red-ants/units/worker/selected_1.wav",
	"red-ants/units/worker/selected_2.wav",
	"red-ants/units/worker/selected_3.wav",
	"red-ants/units/worker/selected_4.wav"})
MakeSound( "alleria selected",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "danath selected",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "khadgar selected",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "kurdan selected",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "turalyon selected",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
    ------
    ------	Annoyed sounds --------------------------------------------------------
    ------
MakeSound( "basic human voices annoyed",
	{ "red-ants/units/warrior/annoyed_1.wav",
	"red-ants/units/warrior/annoyed_2.wav",
	"red-ants/units/warrior/annoyed_3.wav",
	"red-ants/units/warrior/annoyed_4.wav",
	"red-ants/units/warrior/annoyed_5.wav",
	"red-ants/units/warrior/annoyed_6.wav"})
MakeSound( "dwarven demolition squad annoyed",
	{ "red-ants/units/dynamite-ant/annoyed_1.wav",
	"red-ants/units/dynamite-ant/annoyed_2.wav",
	"red-ants/units/dynamite-ant/annoyed_3.wav"})
MakeSound( "elven archer-ranger annoyed",
	{ "red-ants/units/archer/annoyed_1.wav",
	"red-ants/units/archer/annoyed_2.wav",
	"red-ants/units/archer/annoyed_3.wav"})
MakeSound( "gnomish flying machine annoyed",
	{ "red-ants/units/flying-ant/annoyed_1.wav",
	"red-ants/units/flying-ant/annoyed_2.wav",
	"red-ants/units/flying-ant/annoyed_3.wav",
	"red-ants/units/flying-ant/annoyed_4.wav",
	"red-ants/units/flying-ant/annoyed_5.wav"})
MakeSound( "knight annoyed",
	{ "red-ants/units/knight/annoyed_1.wav",
	"red-ants/units/knight/annoyed_2.wav",
	"red-ants/units/knight/annoyed_3.wav"})
MakeSound( "paladin annoyed",
	{ "red-ants/units/advanced-knight/annoyed_1.wav",
	"red-ants/units/advanced-knight/annoyed_2.wav",
	"red-ants/units/advanced-knight/annoyed_3.wav"})
MakeSound( "ships human annoyed",
	{ "red-ants/units/archer/annoyed_1.wav",
	"red-ants/units/archer/annoyed_2.wav",
	"red-ants/units/archer/annoyed_3.wav"})
MakeSound( "ships submarine annoyed",
	{ "red-ants/units/submarine/annoyed_1.wav",
	"red-ants/units/submarine/annoyed_2.wav",
	"red-ants/units/submarine/annoyed_3.wav",
	"red-ants/units/submarine/annoyed_4.wav"})
MakeSound( "mage annoyed",
	{ "red-ants/units/archer/annoyed_1.wav",
	"red-ants/units/archer/annoyed_2.wav",
	"red-ants/units/archer/annoyed_3.wav"})
MakeSound( "red-ant-worker-annoyed",
	{ "red-ants/units/worker/annoyed_1.wav",
	"red-ants/units/worker/annoyed_2.wav",
	"red-ants/units/worker/annoyed_3.wav",
	"red-ants/units/worker/annoyed_4.wav",
	"red-ants/units/worker/annoyed_5.wav",
	"red-ants/units/worker/annoyed_6.wav",
	"red-ants/units/worker/annoyed_7.wav"})
MakeSound( "alleria annoyed",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "danath annoyed",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "khadgar annoyed",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "kurdan annoyed",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
MakeSound( "turalyon annoyed",
	{ "misc/missing.wav",
	"misc/missing.wav",
	"misc/missing.wav"})
    ------
    ------	Other sounds ---------------------------------------------------------
    ------
MakeSound( "explosion", "misc/explosion.wav")
MakeSound( "building destroyed",
	{ "misc/explosion_1.wav",
	"misc/explosion_2.wav",
	"misc/explosion_3.wav"})
MakeSound( "sword attack",
	{ "missiles/sword_attack_1.wav",
	"missiles/sword_attack_2.wav",
	"missiles/sword_attack_3.wav"})
MakeSound( "tree chopping",
	{ "misc/tree_chopping_1.wav",
	"misc/tree_chopping_2.wav",
	"misc/tree_chopping_3.wav",
	"misc/tree_chopping_4.wav"})

----------------------------------------------------------------------------------
------	Define selection sound groups.
MakeSoundGroup( "footman-selected",
	"basic human voices selected", "basic human voices annoyed")
MakeSoundGroup( "red-ant-worker-selected",
	"red-ant-worker-selected", "red-ant-worker-annoyed")
MakeSoundGroup( "knight-selected",
	"knight selected", "knight annoyed")
MakeSoundGroup( "ogre-selected",
	"ogre selected", "ogre annoyed")
MakeSoundGroup( "archer-selected",
	"elven archer-ranger selected", "elven archer-ranger annoyed")
MakeSoundGroup( "axethrower-selected",
	"troll axethrower-berserker selected",
	"troll axethrower-berserker annoyed")
MakeSoundGroup( "mage-selected",
	"mage selected", "mage annoyed")
MakeSoundGroup( "death-knight-selected",
	"death knight selected", "death knight annoyed")
MakeSoundGroup( "paladin-selected",
	"paladin selected", "paladin annoyed")
MakeSoundGroup( "ogre-mage-selected",
	"ogre-mage selected", "ogre-mage annoyed")
MakeSoundGroup( "dwarves-selected",
	"dwarven demolition squad selected", "dwarven demolition squad annoyed")
MakeSoundGroup( "goblin-sappers-selected",
	"goblin sappers selected", "goblin sappers annoyed")
MakeSoundGroup( "alleria-selected",
	"alleria selected", "alleria annoyed")
MakeSoundGroup( "teron-gorefiend-selected",
	"teron gorefiend selected",
	"teron gorefiend annoyed")
MakeSoundGroup( "kurdan-and-sky-ree-selected",
	"kurdan selected", "kurdan annoyed")
MakeSoundGroup( "dentarg-selected",
	"dentarg selected", "dentarg annoyed")
MakeSoundGroup( "khadgar-selected",
	"khadgar selected", "khadgar annoyed")
MakeSoundGroup( "grom-hellscream-selected",
	"grom hellscream selected", "grom hellscream annoyed")
MakeSoundGroup( "human-oil-tanker-selected",
	"ships human selected", "ships human annoyed")
MakeSoundGroup( "deathwing-selected",
	"deathwing selected", "deathwing annoyed")
MakeSoundGroup( "gnomish-submarine-selected",
	"ships human selected", "ships submarine annoyed")
MakeSoundGroup( "gnomish-flying-machine-selected",
	"click", "gnomish flying machine annoyed")
MakeSoundGroup( "goblin-zeppelin-selected",
	"click", "goblin zeppelin annoyed")
MakeSoundGroup( "turalyon-selected",
	"turalyon selected", "turalyon annoyed")
MakeSoundGroup( "danath-selected",
	"danath selected", "danath annoyed")
MakeSoundGroup( "korgath-bladefist-selected",
	"korgath bladefist selected", "korgath bladefist annoyed")

----------------------------------------------------------------------------------
------	Define sound remapping. (FIXME: somebody must clean the order.)
------
    ------	acknowledge sounds
MapSound( "footman-acknowledge", "basic human voices acknowledge")
MapSound( "ballista-acknowledge", "catapult-ballista movement")
MapSound( "archer-acknowledge", "elven archer-ranger acknowledge")
MapSound( "ranger-acknowledge", "elven archer-ranger acknowledge")
MapSound( "human-oil-tanker-acknowledge", "tanker acknowledge")
MapSound( "human-transport-acknowledge", "ships human acknowledge")
MapSound( "elven-destroyer-acknowledge", "ships human acknowledge")
MapSound( "battleship-acknowledge", "ships human acknowledge")
MapSound( "gnomish-submarine-acknowledge", "ships human acknowledge")
MapSound( "lothar-acknowledge", "knight-acknowledge")
MapSound( "uther-lightbringer-acknowledge", "paladin-acknowledge")
    ------	 ready sounds
MapSound( "footman-ready", "basic human voices ready")
MapSound( "ballista-ready", "basic human voices ready")
MapSound( "archer-ready", "elven archer-ranger ready")
MapSound( "ranger-ready", "elven archer-ranger ready")
MapSound( "human-oil-tanker-ready", "ships human ready")
MapSound( "human-transport-ready", "ships human ready")
MapSound( "elven-destroyer-ready", "ships human ready")
MapSound( "battleship-ready", "ships human ready")
MapSound( "gnomish-submarine-ready", "ships human ready")
    ------	 selection sounds
MapSound( "ballista-selected", "click")
MapSound( "ranger-selected", "elven archer-ranger selected")
MapSound( "human-transport-selected", "human-oil-tanker-selected")
MapSound( "elven-destroyer-selected", "human-oil-tanker-selected")
MapSound( "battleship-selected", "human-oil-tanker-selected")
MapSound( "lothar-selected", "knight-selected")
MapSound( "uther-lightbringer-selected", "paladin-selected")
MapSound( "skeleton-selected", "click")
MapSound( "daemon-selected", "click")
MapSound( "human-barracks-selected", "click")
MapSound( "human-watch-tower-selected", "click")
MapSound( "human-shipyard-selected", "shipyard")
MapSound( "town-hall-selected", "click")
MapSound( "elven-lumber-mill-selected", "lumbermill")
MapSound( "human-foundry-selected", "foundry")
MapSound( "human-blacksmith-selected", "blacksmith")
MapSound( "human-refinery-selected", "oil refinery")
MapSound( "human-oil-platform-selected", "oil platform")
MapSound( "keep-selected", "click")
MapSound( "castle-selected", "click")
MapSound( "oil-patch-selected", "click")
MapSound( "human-guard-tower-selected", "click")
MapSound( "human-cannon-tower-selected", "click")
    ------	attack sounds
MapSound( "footman-attack", "sword attack")
MapSound( "ballista-attack", "catapult-ballista attack")
MapSound( "knight-attack", "sword attack")
MapSound( "archer-attack", "bow throw")
MapSound( "mage-attack", "lightning")
MapSound( "paladin-attack", "sword attack")
MapSound( "dwarves-attack", "sword attack")
MapSound( "ranger-attack", "bow throw")
MapSound( "alleria-attack", "bow throw")
MapSound( "kurdan-and-sky-ree-attack", "lightning")
MapSound( "khadgar-attack", "lightning")
    ------	FIXME: what sound for ships?
MapSound( "elven-destroyer-attack", "fireball throw")
MapSound( "battleship-attack", "fireball throw")
MapSound( "gnomish-submarine-attack", "fireball throw")
MapSound( "gryphon-rider-attack", "lightning")
------	FIXME: what sound for those heroes?
------	MapSound( "turalyon-attack")
------	MapSound( "danath-attack")
------	MapSound( "korgath-bladefist-attack")
------	MapSound( "cho-gall-attack")
------	MapSound( "lothar-attack")
------	MapSound( "gul-dan-attack")
------	MapSound( "uther-lightbringer-attack")
------	MapSound( "zuljin-attack")
MapSound( "skeleton-attack", "fist")
------	MapSound( "daemon-attack")
------	FIXME: what attack sounds for towers?
------	MapSound( "human-guard-tower-attack")
------	MapSound( "human-cannon-tower-attack")

MapSound( "critter-dead", "explosion")


------	Define sounds used by game
------
DefineGameSounds(

  "placement-error", MakeSound("placement error", "ui/placement_error.wav"),
  "placement-success", MakeSound("placement success", "ui/placement_success.wav"),
  "click", sound_click,

-- FIXME: Not ready
--  "transport-docking",
--  "building-construction",

  "work-complete", {"red-ants", MakeSound("basic human voices work complete", "red-ants/basic_voices/work_complete.wav")},
  ---"work-complete", {"orc", MakeSound("basic orc voices work complete", "orc/basic_voices/work_complete.wav")},

  "rescue", {"red-ants", MakeSound("human rescue", "misc/rescue.wav")} )
  ---"rescue", {"orc", MakeSound("orc rescue", "misc/rescue.wav")} )

MakeSound("highclick", "ui/highclick.wav")
MakeSound("statsthump", "ui/statsthump.wav")
